Bug 885398 - nsd not working after installation
Summary: nsd not working after installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nsd
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Wouters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-09 02:35 UTC by Michael S.
Modified: 2013-04-18 20:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 20:47:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael S. 2012-12-09 02:35:02 UTC
I just tested nsd on my server freshly installed on f17, and it seems that nsd do not start fine with systemctl ( ie, it just hang ).

More ever, the directory /var/run/nsd do not exist without rebooting first :

Dec 09 03:29:15 karona.ephaone.org nsd[5757]: cannot open pidfile /var/run/nsd/nsd.pid: No such file or directory
Dec 09 03:29:15 karona.ephaone.org nsd[5757]: cannot overwrite the pidfile /var/run/nsd/nsd.pid: No such file or directory

I suspect the missing directory is the reason why nsd hang, but i didn't investigate further.

Comment 1 Michael S. 2012-12-09 02:41:55 UTC
After creating the directory, this work fine, and I think that's because the directory is marked as %ghost in rpm ( so not created by rpm ). Easy fix is to remove %ghost attribute in the spec.

Comment 2 Paul Wouters 2013-04-18 20:47:16 UTC
This was fixed a few releases ago, but didn't get logged here...

* Mon Jul 23 2012 Paul Wouters <pwouters@redhat.com> - 3.2.12-2
- Add /var/run/nsd via tmpfiles (rhbz#842021)


Note You need to log in before you can comment on or make changes to this bug.